You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     pg...@freebsd.org
Last committer: j...@freebsd.org
Ident:          $FreeBSD: head/databases/postgresql-libpq++/Makefile 322415 
2013-07-07 00:15:47Z jgh $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s/logs/postgresql-libpq++-4.0_4.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s
Log:

====>> Building databases/postgresql-libpq++
build started at Thu Sep 19 07:17:00 UTC 2013
port directory: /usr/ports/databases/postgresql-libpq++
building for: FreeBSD head-amd64-default-job-09 10.0-CURRENT FreeBSD 
10.0-CURRENT amd64
maintained by: pg...@freebsd.org
Makefile ident:      $FreeBSD: head/databases/postgresql-libpq++/Makefile 
322415 2013-07-07 00:15:47Z jgh $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000055
UNAME_v=FreeBSD 10.0-CURRENT
UNAME_r=10.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=38843
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=24
PKGNG=1
PKGNAME=postgresql-libpq++-4.0_4
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
SKIPSANITY=0
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS="-I/usr/local/include"  LDFLAGS=" -L/usr/local/lib"  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/libpq++
DOCSDIR=/usr/local/share/doc/libpq++
EXAMPLESDIR=/usr/local/share/examples/libpq++
WWWDIR=/usr/local/www/libpq++
ETCDIR=/usr/local/etc/libpq++
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for postgresql-libpq++-4.0_4
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   postgresql-libpq++-4.0_4 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_2.txz
Installing pkg-1.1.4_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of postgresql-libpq++-4.0_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by postgresql-libpq++-4.0_4 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by postgresql-libpq++-4.0_4 for building
=> SHA256 Checksum OK for postgresql/libpq++-4.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by postgresql-libpq++-4.0_4 for building
===>  Extracting for postgresql-libpq++-4.0_4
=> SHA256 Checksum OK for postgresql/libpq++-4.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for postgresql-libpq++-4.0_4
===>  Applying FreeBSD patches for postgresql-libpq++-4.0_4
/usr/bin/sed -i.bak "s,/usr/local/pgsql,/usr/local,;  s,^CFLAGS.*,CFLAGS=-O2 
-pipe -fno-strict-aliasing,;  s,\...SO_MINOR_VERSION.,,;  s,\-I,\-fPIC \-I,;  
s,\(\-[IL]\)[^/]*,\\1/usr/local," 
/wrkdirs/usr/ports/databases/postgresql-libpq++/work/libpq++-4.0/Makefile
===========================================================================
=======================<phase: build-depends  >============================
===>   postgresql-libpq++-4.0_4 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3... done
 done
===>   Returning to build of postgresql-libpq++-4.0_4
===========================================================================
=======================<phase: lib-depends    >============================
===>   postgresql-libpq++-4.0_4 depends on shared library: pq.5 - not found
===>    Verifying install for pq.5 in /usr/ports/databases/postgresql90-client
===>   Installing existing package /packages/All/postgresql-client-9.0.13.txz
Installing postgresql-client-9.0.13...Installing libxml2-2.8.0_2... done
 done
The PostgreSQL port has a collection of "side orders":

postgresql-docs
  For all of the html documentation

p5-Pg
  A perl5 API for client access to PostgreSQL databases.

postgresql-tcltk 
  If you want tcl/tk client support.

postgresql-jdbc
  For Java JDBC support.

postgresql-odbc
  For client access from unix applications using ODBC as access
  method. Not needed to access unix PostgreSQL servers from Win32
  using ODBC. See below.

ruby-postgres, py-PyGreSQL
  For client access to PostgreSQL databases using the ruby & python
  languages.

postgresql-plperl, postgresql-pltcl & postgresql-plruby
  For using perl5, tcl & ruby as procedural languages.

postgresql-contrib
  Lots of contributed utilities, postgresql functions and
  datatypes. There you find pg_standby, pgcrypto and many other cool
  things.

etc...
===>   Returning to build of postgresql-libpq++-4.0_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for postgresql-libpq++-4.0_4
===========================================================================
=======================<phase: build          >============================
===>  Building for postgresql-libpq++-4.0_4
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/databases/postgresql-libpq++/work/libpq++-4.0'
c++ -c -O2 -pipe -fno-strict-aliasing -DHAVE_NAMESPACE_STD 
-DHAVE_CXX_STRING_HEADER -DDLLIMPORT="" -fPIC -I/usr/local/include 
pgconnection.cc
c++ -c -O2 -pipe -fno-strict-aliasing -DHAVE_NAMESPACE_STD 
-DHAVE_CXX_STRING_HEADER -DDLLIMPORT="" -fPIC -I/usr/local/include pgdatabase.cc
pgdatabase.cc:75:16: error: use of undeclared identifier 'atoi'; did you mean 
'stoi'?
        return a[0] ? atoi(a) : -1;
                      ^~~~
                      stoi
/usr/include/c++/v1/string:3996:20: note: 'stoi' declared here
int                stoi  (const string& __str, size_t* __idx = 0, int __base = 
10);
                   ^
1 error generated.
gmake[1]: *** [pgdatabase.o] Error 1
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/databases/postgresql-libpq++/work/libpq++-4.0'
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/postgresql-libpq++
===>  Cleaning for postgresql-libpq++-4.0_4
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to